package com.github.artislong.annotation;

import com.github.artislong.config.ShiroAutoConfiguration;
import com.github.artislong.config.ShiroRedisAutoConfiguration;
import com.github.artislong.swagger.SwaggerConfiguration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * 开启Shiro自动配置
 */
@Documented
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Import({ShiroAutoConfiguration.class, ShiroRedisAutoConfiguration.class, SwaggerConfiguration.class})
public @interface EnableShiro {
}
