/**
 * $Id: DefaultFilterType.java,v 1.0 7/9/18 4:37 PM chenmin Exp $
 * <p>
 */
package com.github.artislong.util;

/**
 * @author chenmin
 * @version $Id: DefaultFilterType.java,v 1.1 7/9/18 4:37 PM chenmin Exp $
 * Created on 7/9/18 4:37 PM
 */
public enum DefaultFilterType {
    /**
     * Shiro默认拦截器标识
     */
    anon("anon"),
    authc("authc"),
    authcBasic("authcBasic"),
    logout("logout"),
    noSessionCreation("noSessionCreation"),
    perms("perms"),
    port("port"),
    rest("rest"),
    roles("roles"),
    ssl("ssl"),
    user("user");

    private String value;

    DefaultFilterType(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    @Override
    public String toString() {
        return this.getValue();
    }
}
